ports/opt (3.0): [notify] poppler: update to 0.24.0

crux at crux.nu crux at crux.nu
Sun Aug 11 09:37:01 UTC 2013


commit cc204c6f8f1b1ff3c6954b614f10493aba126451
Author: Juergen Daubert <jue at jue.li>
Date:   Sun Aug 11 11:23:36 2013 +0200

    [notify] poppler: update to 0.24.0
    
    Note
    ----
    
    - Update is not ABI compatibel
      rebuilding of dependent programs that link direct against the poppler
      library and not to poppler-glib or poppler-qt4 is required
    - new dependency lcms2, see [1]
    
    [1] http://article.gmane.org/gmane.linux.distributions.crux.general/5515

diff --git a/poppler/.footprint b/poppler/.footprint
index f4f8d67..2846d48 100644
--- a/poppler/.footprint
+++ b/poppler/.footprint
@@ -153,9 +153,9 @@ lrwxrwxrwx	root/root	usr/lib/libpoppler-cpp.so.0 -> libpoppler-cpp.so.0.2.0
 -rwxr-xr-x	root/root	usr/lib/libpoppler-cpp.so.0.2.0
 -rw-r--r--	root/root	usr/lib/libpoppler.a
 -rwxr-xr-x	root/root	usr/lib/libpoppler.la
-lrwxrwxrwx	root/root	usr/lib/libpoppler.so -> libpoppler.so.37.0.0
-lrwxrwxrwx	root/root	usr/lib/libpoppler.so.37 -> libpoppler.so.37.0.0
--rwxr-xr-x	root/root	usr/lib/libpoppler.so.37.0.0
+lrwxrwxrwx	root/root	usr/lib/libpoppler.so -> libpoppler.so.43.0.0
+lrwxrwxrwx	root/root	usr/lib/libpoppler.so.43 -> libpoppler.so.43.0.0
+-rwxr-xr-x	root/root	usr/lib/libpoppler.so.43.0.0
 drwxr-xr-x	root/root	usr/lib/pkgconfig/
 -rw-r--r--	root/root	usr/lib/pkgconfig/poppler-cairo.pc
 -rw-r--r--	root/root	usr/lib/pkgconfig/poppler-cpp.pc
diff --git a/poppler/.md5sum b/poppler/.md5sum
index 7612171..7564f02 100644
--- a/poppler/.md5sum
+++ b/poppler/.md5sum
@@ -1 +1 @@
-1cd27460f7e3379d1eb109cfd7bcdb39  poppler-0.22.5.tar.gz
+891000481f639e996d000d767d953a7f  poppler-0.24.0.tar.xz
diff --git a/poppler/Pkgfile b/poppler/Pkgfile
index 3f6d760..d2b7f87 100644
--- a/poppler/Pkgfile
+++ b/poppler/Pkgfile
@@ -2,12 +2,12 @@
 # URL:         http://poppler.freedesktop.org/
 # Maintainer:  Juergen Daubert, jue at crux dot nu
 # Packager:    Matt Housh, jaeger at crux dot nu
-# Depends on:  cairo lcms
+# Depends on:  cairo lcms2
 
 name=poppler
-version=0.22.5
+version=0.24.0
 release=1
-source=(http://poppler.freedesktop.org/$name-$version.tar.gz)
+source=(http://poppler.freedesktop.org/$name-$version.tar.xz)
 
 build() {
     cd $name-$version
@@ -15,7 +15,7 @@ build() {
     ./configure --prefix=/usr \
                 --mandir=/usr/man \
                 --enable-{zlib,libjpeg,libpng} \
-                --enable-cms=lcms1 \
+                --enable-cms=lcms2 \
                 --enable-xpdf-headers \
                 --disable-poppler-{glib,qt4}
 



More information about the CRUX mailing list